reSID::EnvelopeGenerator Class Reference

## Public Types

enum | State { ATTACK, DECAY_SUSTAIN, RELEASE }

## Public Member Functions

void | set_chip_model (chip_model model)
void | clock ()
void | clock (cycle_count delta_t)
void | reset ()
void | writeCONTROL_REG (reg8)
void | writeATTACK_DECAY (reg8)
void | writeSUSTAIN_RELEASE (reg8)
reg8 | readENV ()
short | output ()

## Protected Member Functions

void | set_exponential_counter ()

## Protected Attributes

reg16 | rate_counter
reg16 | rate_period
reg8 | exponential_counter
reg8 | exponential_counter_period
reg8 | envelope_counter
cycle_count | envelope_pipeline
bool | hold_zero
reg4 | attack
reg4 | decay
reg4 | sustain
reg4 | release
reg8 | gate
State | state
chip_model | sid_model

## Static Protected Attributes

static reg16 | rate_counter_period []
static reg8 | sustain_level []
static unsigned short | model_dac [2][1<< 8]

## Friends

class | SID

## Member Data Documentation

## model_dac

unsigned short reSID::EnvelopeGenerator::model_dac

static protected

Initial value:
= {
{0},
{0},
}

## rate_counter_period

reg16 reSID::EnvelopeGenerator::rate_counter_period

static protected

Initial value:
= {
9,
32,
63,
95,
149,
220,
267,
313,
392,
977,
1954,
3126,
3907,
11720,
19532,
31251
}

## sustain_level

reg8 reSID::EnvelopeGenerator::sustain_level

static protected

Initial value:
= {
0x00,
0x11,
0x22,
0x33,
0x44,
0x55,
0x66,
0x77,
0x88,
0x99,
0xaa,
0xbb,
0xcc,
0xdd,
0xee,
0xff,
}

The documentation for this class was generated from the following files:

- envelope.h
- envelope.cc